Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface Viewmap

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  FigureViewmap, InnerClassViewmap, ModeledViewmap, ParentAssignedViewmap, SnippetViewmap

All Known Implementing Classes:
  FigureViewmapImpl, InnerClassViewmapImpl, ModeledViewmapImpl, ParentAssignedViewmapImpl, SnippetViewmapImpl, ViewmapImpl

    public interface Viewmap

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Viewmap'.

The following features are supported:

- `Attributes`
- `Required Plugin IDs`
- `Layout Type`

See Also:
  `GMFGenPackage.getViewmap()`
** Generated **
Model:
  abstract="true"

Method Summary
`Attributes` `find(java.lang.Class attributesClass)` Returns first attributes instance of specified class, if any
`org.eclipse.emf.common.util.EList<Attributes>` `getAttributes()` Returns the value of the 'Attributes' containment reference list.
`ViewmapLayoutType` `getLayoutType()` Returns the value of the 'Layout Type' attribute.
`org.eclipse.emf.common.util.EList<java.lang.String>` `getRequiredPluginIDs()` Returns the value of the 'Required Plugin IDs' attribute list.
`void` `setLayoutType(ViewmapLayoutType value)` Sets the value of the '`Layout Type`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRequiredPluginIDs

    org.eclipse.emf.common.util.EList<java.lang.String> getRequiredPluginIDs()

  Returns the value of the 'Required Plugin IDs' attribute list. The list contents are of type `String`.

  If the meaning of the 'Required Plugin IDs' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Required Plugin IDs' attribute list.
  See Also:
    `GMFGenPackage.getViewmap_RequiredPluginIDs()`
  ** Generated **
  Model:

### getLayoutType

    ViewmapLayoutType getLayoutType()

  Returns the value of the 'Layout Type' attribute. The default value is `"UNKNOWN"`. The literals are from the enumeration `ViewmapLayoutType`.

  If the meaning of the 'Layout Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Layout Type' attribute.
  See Also:
    `ViewmapLayoutType`, `setLayoutType(ViewmapLayoutType)`, `GMFGenPackage.getViewmap_LayoutType()`
  ** Generated **
  Model:
    default="UNKNOWN"

### setLayoutType

    void setLayoutType(ViewmapLayoutType value)

  Sets the value of the '`Layout Type`' attribute.

  Parameters:
    `value` - the new value of the 'Layout Type' attribute.
  See Also:
    `ViewmapLayoutType`, `getLayoutType()`
  ** Generated **

### getAttributes

    org.eclipse.emf.common.util.EList<Attributes> getAttributes()

  Returns the value of the 'Attributes' containment reference list. The list contents are of type `Attributes`.

  If the meaning of the 'Attributes' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attributes' containment reference list.
  See Also:
    `GMFGenPackage.getViewmap_Attributes()`
  ** Generated **
  Model:
    containment="true"

### find

    Attributes find(java.lang.Class attributesClass)

  Returns first attributes instance of specified class, if any

  ** Generated **
  Model:

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.